com.sun.mirror.type

## Interface TypeVariable

- All Superinterfaces:
    ReferenceType, TypeMirror

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is `TypeVariable`.

      @Deprecated
      public interface TypeVariable
      extends ReferenceType

  Represents a type variable. A type variable is declared by a type parameter of a type, method, or constructor.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeParameterDeclaration` | `getDeclaration()` Deprecated. Returns the type parameter that declared this type variable.

    - ### Methods inherited from interface com.sun.mirror.type.TypeMirror

      `accept, equals, toString`

- - ### Method Detail

    - #### getDeclaration

          TypeParameterDeclaration getDeclaration()

      Deprecated.
      Returns the type parameter that declared this type variable.
      Returns:
        the type parameter that declared this type variable

Copyright © 2004, 2015, Oracle and/or its affiliates. All rights reserved.